<template>
  <div class="edit-add-detail">
    <!-- <div class="crumbs">
      <Breadcrumb :breadcrumbOpt="breadcrumbOpt" svg-name="#icon-icon_achievements_submit"
                  @breadcrumb-click="breadcrumbClick" />
    </div> -->
    <div class="form-content">
      <div class="company-information">
        <el-form ref="formInfo" :model="parameter" label-position="right" label-width="120px">
          <div class="rows">
            <div class="rows-left">
              <div class="rows-hr"></div>
            </div>
            <div class="rows-title">
              <div class="text-overflow">基本信息</div>
            </div>
          </div>
          <el-row :gutter="24">
            <el-col :span="6">
              <el-form-item label="客户名称" prop="clientsName">
                <span>{{ parameter.clientsName }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="证件类型" prop="cardType">
                <span> {{ getDictName('zjlx', parameter.cardType) }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="证件号码" prop="cardNo">
                <span>{{ parameter.cardNo }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="所属公司">
                <span>{{ parameter.belongsOrgName }}</span>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row :gutter="24">
            <el-col :span="6">
              <el-form-item label="开户银行" prop="bankName">
                <span>{{ parameter.bankName }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="银行账号" prop="bankNo">
                <span>{{ parameter.bankNo }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="联系电话" prop="contactTel">
                <span>{{ parameter.contactTel }}</span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="通信地址">
                <span>{{ parameter.address }}</span>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row :gutter="24">
            <el-col :span="6">
              <el-form-item label="E-mail">
                <span>{{ parameter.email }}</span>
              </el-form-item>
            </el-col>
          </el-row>
          <el-row :gutter="24">
            <el-col :span="24">
              <el-form-item label="备注">
                <span>{{ parameter.remark }}</span>
              </el-form-item>
            </el-col>
          </el-row>
        </el-form>
      </div>
    </div>
  </div>
</template>

<script>
import Breadcrumb from '@/components/Breadcrumb/index.vue'
import utils from '@/utils.js'
import api from '@/api/assetsOperating/profilesCustomer/IndividualCustomers.js'
import pubSub from 'pubsub-js'

export default {
  name: 'domesticDialog',
  components: {Breadcrumb},
  data() {
    return {
      breadcrumbOpt: [{breadcrumbName: '客户黑名单'}, {breadcrumbName: '详情'}],
      cardTypeData: [
        {
          name: '营业执照',
          value: 0
        },
        {
          name: '身份证',
          value: 1
        },
        {
          name: '驾驶证',
          value: 2
        },
        {
          name: '军官证',
          value: 3
        },
        {
          name: '护照',
          value: 4
        }
      ],
      parameter: {}
    }
  },
  created() {
  },
  mounted() {
  },
  methods: {
    //证件类型翻译回显
    cardTypeName(value) {
      return this.cardTypeData.filter(item => item.value === value)[0].name
    },
    //字典翻译
    getDictName(code, value) {
      return utils.getDictName(code, value)
    },
    //面包屑点击
    breadcrumbClick() {
      this.$emit('closeComponent')
    },
    //详情
    detail(val) {
      if (val) {
        this.modifychoData(val)
      }
    },
    //获取详情
    modifychoData(val) {
      api.detailsData(val.id, res => {
        if (res) {
          this.parameter = res
          console.log(this.parameter)
        }
      })
    }
  }
}
</script>
<style lang="scss" scoped>
.edit-add-detail {
  display: flex;
  flex-direction: column;

  // .crumbs {
  // }
  .form-content {
    flex: 1;

    // margin-top: 20px;
    border-radius: 10px;
    overflow-y: scroll;

    .company-information {
      border-radius: 10px;
      padding: 10px 20px;
      background-color: white;
      margin-bottom: 20px;
    }
  }

  .form-content::-webkit-scrollbar {
    display: none;
    /* Chrome Safari */
  }
}

::v-deep .el-form-item__label {
  width: 120px;
  font-size: 14px;
  color: #828282;
  font-weight: 500;
}

::v-deep .el-form-item__content span {
  font-size: 14px;
  color: #000;
  font-weight: 500;
}

::v-deep .el-form-item {
  margin-bottom: 10px;
}

.rows {
  display: flex;
  align-items: center;
  border-bottom: 1px solid #ebebeb;
  margin-bottom: 16px;
  padding: 10px 0;

  .rows-left {
    margin-right: 10px;

    .rows-hr {
      width: 3px;
      height: 18px;
      background-color: #0e6eff;
      border-radius: 2px;
    }
  }

  .rows-title {
    .text-overflow {
      width: 100%;
      font-size: 16px;
    }
  }
}
</style>
